/* _dict.cc 05/07/2000 01.51.54 */
/* keys.cc 12/02/2004 14.23.34 */
/* tlmpmail.cc 24/07/2000 23.47.32 */
/* addrbook.tlcc 27/07/2004 15.57.20 */
PUBLIC NICK::NICK (void);
PUBLIC int NICK::edit (NICKS&nicks);
PUBLIC void NICK::write (FILE *fout);
PUBLIC void NICK::copyaddr (EMAILADDRS&emails);
PUBLIC NICKS::NICKS (void);
PUBLIC NICK *NICKS::getitem (int no)const;
PUBLIC NICK *NICKS::getitem (const char *nick)const;
PUBLIC NICK *NICKS::locateaddr (const char *addr)const;
PUBLIC int NICKS::write (void);
/* attachements.tlcc 27/07/2004 15.57.20 */
PUBLIC const char *ATTACHEMENT::getfname (void)const;
PUBLIC void ATTACHEMENT::setfname (const char *fname);
PUBLIC void ATTACHEMENT::setdescription (const char *desc);
PUBLIC void ATTACHEMENT::setmimetype (const char *type);
PUBLIC const char *ATTACHEMENT::getmimetype (void)const;
PUBLIC void ATTACHEMENT::setname (const char *_name);
PUBLIC const char *ATTACHEMENT::getname (void)const;
PUBLIC const char *ATTACHEMENT::getdescription (void)const;
PRIVATE void ATTACHEMENTS::setfields (DIALOG&dia,
	 ATTACHEMENT *a,
	 PRIVATE_MESSAGE *msg);
PUBLIC int ATTACHEMENTS::edit (void);
/* base64.tlcc 27/07/2004 15.57.20 */
/* classify.tlcc 27/07/2004 15.57.20 */
PUBLIC void FOLDER_VIEW::classify (void);
PRIVATE void MAIL_MESSAGE::set_in_list (const char *key,
	 const char *title,
	 const char *intro);
PUBLIC void MAIL_MESSAGE::set_friends (void);
PUBLIC void MAIL_MESSAGE::set_rejected (void);
/* compose.tlcc 27/07/2004 15.57.20 */
void _F_MAIL_COMPOSE::archive (void *,
	 MAIL_MESSAGE_FULL&,
	 const ATTACHEMENTS&attachs);
void _F_MAIL_COMPOSE::cancel (void *, MAIL_MESSAGE_FULL&);
PUBLIC MAIL_COMPOSE::MAIL_COMPOSE (_F_MAIL_COMPOSE&_c);
void _F_MAIL_COMPOSE::quotereply (MAIL_MESSAGE_FULL&msg,
	 SSTRING&txt);
void _F_MAIL_COMPOSE::quoteforward (MAIL_MESSAGE_FULL&msg,
	 SSTRING&txt);
void _F_MAIL_COMPOSE::initnewmsg (SSTRING&txt);
void _F_MAIL_COMPOSE::addrbook (EMAILADDRS&);
void _F_MAIL_COMPOSE::folderlist (SSTRING&);
void *_F_MAIL_COMPOSE::codialog_setup (DIALOG&, int &);
void _F_MAIL_COMPOSE::codialog_buttons (void *, DIALOG&, MENU_STATUS);
void _F_MAIL_COMPOSE::codialog_end (void *);
int _F_MAIL_COMPOSE::codialog_validate (void *, DIALOG&, int &);
int _F_MAIL_COMPOSE::outbox (void *,
	 MAIL_MESSAGE_FULL&,
	 const ATTACHEMENTS&);
int _F_MAIL_COMPOSE::complete (const char *, EMAILADDRS&);
int _F_MAIL_COMPOSE::editattach (ATTACHEMENTS&attachs);
PUBLIC void MAIL_COMPOSE::start_framework (void);
PRIVATE void MAIL_COMPOSE::manage (void);
PUBLIC void MAIL_COMPOSE::compose (EMAILADDRS&recipients);
PUBLIC void MAIL_COMPOSE::compose (void);
PUBLIC void MAIL_COMPOSE::reply (MAIL_MESSAGE&msg);
PUBLIC void MAIL_COMPOSE::reply (MAIL_MESSAGE&msg,
	 EMAILADDRS&to,
	 EMAILADDRS&cc,
	 EMAILADDRS&bcc);
PUBLIC void MAIL_COMPOSE::forward (MAIL_MESSAGE&msg);
PUBLIC void MAIL_COMPOSE::resume (MAIL_MESSAGE&msg);
/* emailaddrs.tlcc 27/07/2004 15.57.20 */
PUBLIC void EMAILADDRS::parse (const char *s);
PUBLIC void EMAILADDRS::append (const EMAILADDRS&tb);
PUBLIC void EMAILADDRS::append_nodup (const EMAILADDRS&tb);
PUBLIC const char *EMAILADDRS::getfirstname (void)const;
PUBLIC const char *EMAILADDRS::getfirstaddr (void)const;
PUBLIC bool EMAILADDRS::is_empty (void)const;
PUBLIC bool EMAILADDRS::is_filled (void)const;
PUBLIC int EMAILADDRS::getnb (void)const;
PUBLIC void EMAILADDRS::set (const char *name, const char *addr);
PUBLIC void EMAILADDRS::format (SSTRING&s);
PUBLIC void EMAILADDRS::remove_all (void);
/* filter.tlcc 27/07/2004 15.57.20 */
PUBLIC FILTER_STATUS::FILTER_STATUS (void);
PUBLIC FILTER_STRING::FILTER_STRING (void);
PRIVATE void FILTER_STRING::freeregex (void);
PUBLIC FILTER_STRING::~FILTER_STRING (void);
PUBLIC void FILTER_STRING::set (const char *_s, FILTER_SCOPE _scope);
PUBLIC void FILTER_STRING::setscope (FILTER_SCOPE _scope);
PUBLIC void FILTER_STRING::set (const SSTRING&_s, FILTER_SCOPE _scope);
PUBLIC void FILTER_STRING::init (void);
PUBLIC MAIL_FILTER::MAIL_FILTER (void);
PUBLIC void MAIL_FILTER::loaddef (const char *_name);
PUBLIC void MAIL_FILTER::savedef (const char *_name);
PUBLIC const char *MAIL_FILTER::getname (void)const;
PUBLIC int MAIL_FILTER::edit (void);
PUBLIC int MAIL_FILTER::quickedit (void);
PUBLIC void MAIL_FILTER::init (void);
PUBLIC void MAIL_FILTER::set (FILTER_ON cmd,
	 FILTER_SCOPE scope,
	 const char *_key);
PUBLIC void MAIL_FILTER::setup (void);
PUBLIC bool MAIL_FILTER::has_present (void);
PUBLIC bool MAIL_FILTER::has_viewcmd (void);
PUBLIC const char *MAIL_FILTER::getdcs (void);
PUBLIC const char *MAIL_FILTER::getpresent (void);
PUBLIC bool MAIL_FILTER::match (MAIL_MESSAGE *m);
PUBLIC void MAIL_FILTER::setfrom (const char *_from,
	 FILTER_SCOPE scope);
PUBLIC void MAIL_FILTER::setto (const char *_to, FILTER_SCOPE scope);
PUBLIC void MAIL_FILTER::setsubject (const char *_subject,
	 FILTER_SCOPE scope);
PUBLIC bool MAIL_FILTER::status_sensitive (void);
PUBLIC MAIL_FILTER *MAIL_FILTERS::getitem (int no)const;
PUBLIC void MAIL_FILTERS::setup (void);
PUBLIC void MAIL_FILTERS::present (MAIL_MESSAGE&msg, SSTRING&dcs);
/* foldercopy.tlcc 27/07/2004 15.57.20 */
/* folder_sql.tlcc 27/07/2004 15.57.20 */
PUBLIC FOLDER_SQL::FOLDER_SQL (const char *folder);
PRIVATE void FOLDER_SQL::forget (bool deleted);
PUBLIC int FOLDER_SQL::loadindex (MAIL_MESSAGES&idx, int &callerrev);
PRIVATE void FOLDER_SQL::incrrevision (void);
PUBLIC VIRTUAL void FOLDER_SQL::updatemsg (MAIL_MESSAGE&msg);
PUBLIC int FOLDER_SQL::update (bool clean);
PUBLIC const char *FOLDER_SQL::gettitle (void);
PUBLIC int FOLDER_SQL::loadmsg (const MAIL_MESSAGE&msg,
	 MAIL_MESSAGE_FULL&full);
PUBLIC bool FOLDER_SQL::is_postponed (void);
PUBLIC bool FOLDER_SQL::is_shared (void);
PUBLIC int FOLDER_SQL::getid (SSTRING&id);
PUBLIC int FOLDER_SQL::getrevision (void);
PUBLIC int FOLDER_SQL::appendmsg (MAIL_MESSAGE_FULL&full);
PUBLIC bool FOLDER_SQL::msgexist (MAIL_MESSAGE&msg);
/* folders.tlcc 27/07/2004 15.57.20 */
PUBLIC FOLDER_FACTORY::FOLDER_FACTORY (void);
PUBLIC FOLDER_VIEW *FOLDERS::getitem (int no)const;
/* folder.tlcc 27/07/2004 15.57.20 */
void _F_folder_edit::popup (int ,
	 MAIL_MESSAGE&,
	 FOLDER_VIEW *,
	 const UISTATE&);
void _F_folder_edit::msg_reply (int no);
void _F_folder_edit::msg_forward (int no);
void _F_folder_edit::event (int no, MAIL_MESSAGE&msg);
void _F_folder_edit::notice (const char *line);
void _F_folder_edit::present (int no, MAIL_MESSAGE&msg, SSTRING&);
void _F_folder_edit::stats (int , int , int , int , int);
void _F_folder_edit::message (bool&,
	 FOLDER_VIEW *,
	 MAIL_MESSAGE&msg);
void _F_folder_edit::msg_delete (int no);
void _F_folder_edit::msg_tag (int no, bool set, const char *tag);
void _F_folder_edit::clickhead (int , FOLDER_VIEW *);
void _F_folder_edit::docpopup (FOLDER_VIEW *, const UISTATE&, bool&);
/* folder_view.tlcc 27/07/2004 15.57.20 */
PUBLIC MAIL_MESSAGE::MAIL_MESSAGE (void);
PUBLIC MAIL_MESSAGE::~MAIL_MESSAGE (void);
PUBLIC MAIL_MESSAGE_FULL::~MAIL_MESSAGE_FULL (void);
PUBLIC void MAIL_MESSAGE::assign (FOLDER_VIEW *_folder);
PUBLIC void MAIL_MESSAGE::update_folder (void);
PUBLIC FOLDER_VIEW *MAIL_MESSAGE::getfolder (void)const;
PUBLIC const char *MAIL_MESSAGE::getflag (const char *key);
PUBLIC void MAIL_MESSAGE::incrusage (void);
PUBLIC void MAIL_MESSAGE::decrusage (void);
PUBLIC int MAIL_MESSAGE::getusage (void);
PUBLIC const char *MAIL_MESSAGE::getemail_from (void)const;
PUBLIC const char *MAIL_MESSAGE::get_from (void)const;
PUBLIC const char *MAIL_MESSAGE::getemail_to (void)const;
PUBLIC const char *MAIL_MESSAGE::get_to (void)const;
PUBLIC const char *MAIL_MESSAGE::getemail_reply (void)const;
PUBLIC const char *MAIL_MESSAGE::get_reply (void)const;
PUBLIC const char *MAIL_MESSAGE::getsubject (void)const;
PUBLIC void MAIL_MESSAGE::formatdate (char datestr[20], bool nohour);
PUBLIC const char *MAIL_MESSAGE::getauthor (void)const;
PUBLIC const char *MAIL_MESSAGE::getdest (void)const;
PUBLIC int MAIL_MESSAGE::loadmsg (MAIL_MESSAGE_FULL&full)const;
PUBLIC void MAIL_MESSAGE::folder_wakeup (void);
PUBLIC VIRTUAL void FOLDER_VIEW::updatemsg (MAIL_MESSAGE&);
PUBLIC VIRTUAL bool FOLDER_VIEW::msgexist (MAIL_MESSAGE&);
PUBLIC void MAIL_MESSAGE::setmodified (void);
PUBLIC void MAIL_MESSAGE::set_deleted (bool val);
PUBLIC void MAIL_MESSAGE::set_viewed (bool val);
PUBLIC void MAIL_MESSAGE::set_replied (bool val);
PUBLIC void MAIL_MESSAGE::set_tagged (bool val);
PUBLIC CONTENT_TYPE MAIL_MESSAGE_FULL::parsetype (SSTRING&boundary)const;
PUBLIC CONTENT_TYPE MAIL_MESSAGE_FULL::gettype (void)const;
PUBLIC MAIL_MESSAGE *MAIL_MESSAGES::getitem (int no)const;
PUBLIC void MAIL_MESSAGES::incrusage (void);
PUBLIC void MAIL_MESSAGES::decrusage (void);
PUBLIC FOLDER_VIEW::FOLDER_VIEW (void);
PUBLIC VIRTUAL FOLDER_VIEW::~FOLDER_VIEW (void);
PUBLIC VIRTUAL void FOLDER_VIEW::getmsgs (PRIVATE_MESSAGES&msgs);
PUBLIC VIRTUAL void FOLDER_VIEW::wakeup (void);
PUBLIC void FOLDER_VIEW::set_deleted (bool val);
PUBLIC void FOLDER_VIEW::set_tagged (bool val);
PUBLIC VIRTUAL int FOLDER_VIEW::getusage (void);
PUBLIC VIRTUAL void FOLDER_VIEW::incrusage (void);
PUBLIC VIRTUAL void FOLDER_VIEW::decrusage (void);
PUBLIC VIRTUAL int FOLDER_VIEW::appendmsg (MAIL_MESSAGE_FULL&msg);
PUBLIC VIRTUAL int FOLDER_FILE::appendmsg (MAIL_MESSAGE_FULL&full);
PUBLIC FOLDER_FILE::FOLDER_FILE (const char *_path);
PUBLIC bool FOLDER_FILE::is_postponed (void);
PUBLIC bool FOLDER_FILE::is_shared (void);
PUBLIC void FOLDER_FILE::forget (int no);
PUBLIC int FOLDER_FILE::getrevision (void);
PUBLIC void FOLDER_FILE::setstate (void);
PUBLIC void FOLDER_FILE::incrrevision (void);
PUBLIC int FOLDER_FILE::loadindex (MAIL_MESSAGES&idx, int &callerrev);
PUBLIC int FOLDER_FILE::getusage (void);
PUBLIC void MAIL_MESSAGE_FULL::updateheader (void);
PUBLIC int FOLDER_FILE::update (bool clean);
PUBLIC void MAIL_MESSAGE::copy (MAIL_MESSAGE&full)const;
PUBLIC void MAIL_MESSAGE_FULL::parse_header (void);
PUBLIC int FOLDER_FILE::loadmsg (const MAIL_MESSAGE&msg,
	 MAIL_MESSAGE_FULL&full);
PUBLIC const char *FOLDER_FILE::gettitle (void);
PUBLIC int FOLDER_FILE::getid (SSTRING&id);
PRIVATE void FOLDER_FILTER::init (FOLDER_VIEW *_folder);
PRIVATE void FOLDER_FILTER::setfilter (FILTER_ON cmd,
	 FILTER_SCOPE scope,
	 const char *_key);
PUBLIC FOLDER_FILTER::FOLDER_FILTER (FOLDER_VIEW *_folder,
	 FILTER_ON cmd,
	 FILTER_SCOPE scope,
	 const char *_key);
PUBLIC FOLDER_FILTER::FOLDER_FILTER (FOLDER_VIEW *_folder,
	 FILTER_ON cmd,
	 const char *_key);
PUBLIC void FOLDER_FILTER::settitle (const char *s);
PUBLIC FOLDER_FILTER::FOLDER_FILTER (FOLDER_VIEW *_folder);
PUBLIC FOLDER_FILTER::~FOLDER_FILTER (void);
PUBLIC int FOLDER_FILTER::getrevision (void);
PUBLIC int FOLDER_FILTER::loadindex (MAIL_MESSAGES&idx,
	 int &callerrev);
PUBLIC int FOLDER_FILTER::update (bool clean);
PUBLIC int FOLDER_FILTER::loadmsg (const MAIL_MESSAGE&msg,
	 MAIL_MESSAGE_FULL&full);
PUBLIC const char *FOLDER_FILTER::gettitle (void);
PUBLIC int FOLDER_FILTER::getid (SSTRING&_id);
PUBLIC bool FOLDER_FILTER::is_postponed (void);
PUBLIC bool FOLDER_FILTER::is_shared (void);
PUBLIC void FOLDER_FILTER::getmsgs (PRIVATE_MESSAGES&msgs);
PUBLIC void FOLDER_FILTER::incrusage (void);
PUBLIC void FOLDER_FILTER::decrusage (void);
PUBLIC void FOLDER_FILTER::setfrom (const char *_from,
	 FILTER_SCOPE scope);
PUBLIC void FOLDER_FILTER::setto (const char *_to, FILTER_SCOPE scope);
PUBLIC void FOLDER_FILTER::setsubject (const char *_subject,
	 FILTER_SCOPE scope);
PUBLIC int FOLDER_FILTER::editfilter (void);
PUBLIC int FOLDER_FILTER::editqfilter (void);
PRIVATE void FOLDER_FILTER::format_title (void);
PUBLIC void FOLDER_FILTER::loaddef (const char *filtername);
PUBLIC void FOLDER_FILTER::setmode (bool _negative);
/* folderwalk.tlcc 27/07/2004 15.57.20 */
/* mailmain.tlcc 27/07/2004 15.57.20 */
/* mailsend.tlcc 27/07/2004 15.57.20 */
void _F_mailsend::fail (SSTRINGS&,
	 MAIL_MESSAGE_FULL&,
	 const ATTACHEMENTS&);
void _F_mailsend::ok (SSTRINGS&,
	 MAIL_MESSAGE_FULL&,
	 const ATTACHEMENTS&);
/* mime.tlcc 27/07/2004 15.57.20 */
PUBLIC ATTACH_INFO::ATTACH_INFO (void);
void _F_mime_split::mainmsg (int no, ATTACH_INFO&info);
void _F_mime_split::part (int , ATTACH_INFO&);
/* miscmail.tlcc 27/07/2004 15.57.20 */
void _F_maillock::fail (const char *path);
int _F_maillock::create (const char *path);
/* multi.tlcc 27/07/2004 15.57.20 */
PUBLIC FOLDER_VIEW *FOLDER_VIEWS::getitem (int no)const;
PUBLIC FOLDER_MULTI::FOLDER_MULTI (void);
PUBLIC FOLDER_MULTI::~FOLDER_MULTI (void);
PUBLIC void FOLDER_MULTI::add (FOLDER_VIEW *v);
PUBLIC int FOLDER_MULTI::loadindex (MAIL_MESSAGES&idx,
	 int &callerrev);
PUBLIC int FOLDER_MULTI::update (bool clean);
PUBLIC const char *FOLDER_MULTI::gettitle (void);
PUBLIC int FOLDER_MULTI::loadmsg (const MAIL_MESSAGE&msg,
	 MAIL_MESSAGE_FULL&full);
PUBLIC bool FOLDER_MULTI::is_postponed (void);
PUBLIC bool FOLDER_MULTI::is_shared (void);
PUBLIC int FOLDER_MULTI::getid (SSTRING&id);
PUBLIC int FOLDER_MULTI::getrevision (void);
PUBLIC void FOLDER_MULTI::getmsgs (PRIVATE_MESSAGES&msgs);
/* prefs.tlcc 27/07/2004 15.57.20 */
/* thread.tlcc 27/07/2004 15.57.20 */
PUBLIC FOLDER_THREAD::FOLDER_THREAD (MAIL_MESSAGE&msg);
PUBLIC FOLDER_THREAD::~FOLDER_THREAD (void);
PUBLIC int FOLDER_THREAD::loadindex (MAIL_MESSAGES&idx,
	 int &revision);
PUBLIC int FOLDER_THREAD::update (bool clean);
PUBLIC const char *FOLDER_THREAD::gettitle (void);
PUBLIC int FOLDER_THREAD::loadmsg (const MAIL_MESSAGE&msg,
	 MAIL_MESSAGE_FULL&full);
PUBLIC bool FOLDER_THREAD::is_postponed (void);
PUBLIC bool FOLDER_THREAD::is_shared (void);
int FOLDER_THREAD::getid (SSTRING&);
PUBLIC int FOLDER_THREAD::getrevision (void);
/* view.tlcc 27/07/2004 15.57.20 */
void _F_MAIL_VIEW::reply (MAIL_MESSAGE&);
void _F_MAIL_VIEW::reply_pick (MAIL_MESSAGE&);
void _F_MAIL_VIEW::forward (MAIL_MESSAGE&);
void *_F_MAIL_VIEW::codialog_setup (DIALOG&,
	 int &,
	 MAIL_MESSAGE_FULL&);
void _F_MAIL_VIEW::codialog_buttons (void *,
	 DIALOG&,
	 MENU_STATUS,
	 MAIL_MESSAGE&,
	 MAIL_MESSAGE_FULL&);
void _F_MAIL_VIEW::codialog_end (void *);
int _F_MAIL_VIEW::codialog_validate (void *,
	 DIALOG&,
	 int &,
	 MAIL_MESSAGE&,
	 MAIL_MESSAGE_FULL&);
PUBLIC MAIL_VIEW::MAIL_VIEW (_F_MAIL_VIEW&_c);
PUBLIC void MAIL_VIEW::manage (void);
PUBLIC void MAIL_VIEW::view (FOLDER_VIEW *folder,
	 MAIL_MESSAGE&msg,
	 bool replace);
/* virtual.tlcc 27/07/2004 15.57.20 */
PUBLIC VIRTUAL_VIEW::VIRTUAL_VIEW (void);
PUBLIC VIRTUAL_VIEW::VIRTUAL_VIEW (const char *_name);
PUBLIC void VIRTUAL_VIEW::save (void);
PUBLIC void VIRTUAL_VIEW::del (void);
PUBLIC int VIRTUAL_VIEW::eval (bool test, FOLDER_VIEWS&folds);
PUBLIC int VIRTUAL_VIEW::edit (void);
PUBLIC VIRTUAL_VIEWS::VIRTUAL_VIEWS (void);
PUBLIC VIRTUAL_VIEW *VIRTUAL_VIEWS::getitem (int no)const;
PUBLIC VIRTUAL_VIEW *VIRTUAL_VIEWS::editpick (bool pick);
