Summary: tlmp desktop utilities
Name: tlmpwork
Version: TLMPWORK_VERSION
Release: TLMPWORK_RPMREV
Vendor: Solucorp
Copyright: GPL
Group: Application/desktop
Source: ftp://ftp.solucorp.qc.ca/pub/tlmp/src/tlmpwork-TLMPWORK_VERSION.src.tar.gz
BuildRoot: /tmp/tlmpwork-root
Packager: Jacques Gelinas <jack@solucorp.qc.ca>
requires: linuxconf-gui >= 1.24
requires: linuxconf-lib >= 1.25r7

%description
This is a set of desktop (GUI) applications written using the TLMP
system. There is an agenda, a mail program and tledit, the TLMP editor.
At this point, there are prototypes, but certainly show the power
and simplicity of TLMP.

%package sql
Summary: Some command using MySQL
Group: Application/sql
%description sql
Stuff using MySQL
%prep
%setup

%package devel
Summary: Component to produce GUI apps
Group: Application/devel
%description devel
Stuff to develop GUI application using the FRAMEWORK component

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
if [ "$RPM_BUILD_ROOT" != "" -a "$RPM_BUILD_ROOT" != "/" ] ; then
	rm -rf $RPM_BUILD_ROOT
fi
export RPM_BUILD_ROOT
make install

%clean
if [ "$RPM_BUILD_ROOT" != "" -a "$RPM_BUILD_ROOT" != "/" ] ; then
	rm -rf $RPM_BUILD_ROOT
fi

%files
%defattr(-,root,root)
/usr/lib/tlmp
/usr/bin/agenda
/usr/bin/tledit
/usr/bin/component_edit
/usr/bin/component_show
/usr/include/tlmp
/usr/bin/tlphoto
/usr/bin/todo
/usr/share/applnk/tlmp
/usr/bin/schema
/usr/bin/src_screenshot
/usr/bin/src_screenshot_pov

%files sql
/usr/bin/component_sql
/usr/bin/spec_sql
%doc tledit/table.sh
/usr/bin/tlmpmail
/usr/bin/foldercopy
%doc tlmpmail/tlmpmail_sql.sh

%files devel
/usr/include/tlmp/*
/usr/lib/libtlmpwork*


%post

%post devel
ldconfig

