#pragma interface
#ifndef EVENTMGR_H
#define EVENTMGR_H

// This header is included by clients

#define _TLMP_EVENTMGR

struct _F_EVENTMGR{
	class EVENTMGR_PRIVATE *priv;
	#define _F_EVENTMGR_event(x) int x event (const char *s)
	virtual _F_EVENTMGR_event( )=0;
	#define _F_EVENTMGR_collect(x) int x register (SSTRING &tb)
	virtual _F_EVENTMGR_collect( );
};

class EVENTMGR{
	class EVENTMGR_PRIVATE *priv;
	/*~PROTOBEG~ EVENTMGR */
public:
	EVENTMGR (_F_EVENTMGR&c);
private:
	int connect (void);
public:
	void sendevent (const char *e);
	void sendeventf (const char *ctl, ...);
	~EVENTMGR (void);
	/*~PROTOEND~ EVENTMGR */
};


#include "eventmgr.pp"

#endif

