#ifndef REPORTS_H
#define REPORTS_H

#define _TLMP_report

struct _F_report{
	class _F_report_private *priv;
	void printf (const char *ctl, ...);
	void htmlout(const char *s);
	void htmlprintf (const char *ctl, ...);
	#define _F_report_init(x) void x init()
	virtual _F_report_init( );
	#define _F_report_body(x) void x body()
	virtual _F_report_body( )=0;
	#define _F_report_head(x) void x head()
	virtual _F_report_head( );
	#define _F_report_foot(x) void x foot()
	virtual _F_report_foot( );
};

#define _TLMP_replayout

struct _F_replayout {
	void box();
	void _box();
	void table(int columns);
	void _table();
	void tr();
	void td();
	void td(int pos, int colspan, int rowspan);
	void p();
	void ul();
	void _ul();
	void li();
	#define _F_replayout_body(x) void x body()
	virtual _F_replayout_body( )=0;
};

#include "reports.p"

#endif

