/* _dict.cc 05/07/2000 01.51.54 */
/* keys.cc 12/02/2004 14.23.34 */
/* tlmpmail.cc 24/07/2000 23.47.32 */
/* addrbook.tlcc 27/07/2004 15.57.20 */
void addrbook_getpath (SSTRING&path);
int addrbook_pick (EMAILADDRS&addrs, const char *prefix);
int addrbook_pick (EMAILADDRS&addrs);
int addrbook_getfcc (const char *addr, SSTRING&fcc);
int addrbook_complete (const char *nick, EMAILADDRS&emails);
void addrbook_add (MAIL_MESSAGE&msg);
/* attachements.tlcc 27/07/2004 15.57.20 */
/* base64.tlcc 27/07/2004 15.57.20 */
int base64 (int argc, char *argv[]);
/* classify.tlcc 27/07/2004 15.57.20 */
void classify_editfriends (void);
void classify_editrejected (void);
void classify_editmlist (void);
void classify_addtmpfriend (const char *addr);
void classify_addtmpfriends (const SSTRINGS&addrs);
void classify_addsubject (const char *subject);
void classify_editsubjects (void);
/* compose.tlcc 27/07/2004 15.57.20 */
void compose_quote (MAIL_MESSAGE_FULL&msg,
	 SSTRING&txt,
	 const char *prefix);
void compose_quotereply (MAIL_MESSAGE_FULL&msg,
	 SSTRING&txt,
	 const char *prefix);
/* emailaddrs.tlcc 27/07/2004 15.57.20 */
/* filter.tlcc 27/07/2004 15.57.20 */
void filters_edit (void);
int filters_pick (SSTRING&sel);
bool filter_exist (const char *name);
/* foldercopy.tlcc 27/07/2004 15.57.20 */
int foldercopy (int argc, char *argv[]);
/* folder_sql.tlcc 27/07/2004 15.57.20 */
int folder_sql_getid (const char *folder);
int folder_sql_create (const char *folder);
int folder_sql_list (SSTRINGS&tb);
bool folder_sql_exist (const char *name);
/* folders.tlcc 27/07/2004 15.57.20 */
int folders_list (SSTRINGS&tb);
FOLDER_VIEW *folders_locate (const char *path);
void folders_update (const char *path, bool clean);
bool folders_exist (const char *path);
FOLDER_VIEW *folders_alloc (const char *path);
void folders_register (FOLDER_VIEW *f);
void folders_register (MAIL_MESSAGE *m);
void folders_free (void);
/* folder.tlcc 27/07/2004 15.57.20 */
void folder_edit (_F_folder_edit&c,
	 FOLDER_VIEW *folder,
	 const char *title,
	 FRAMEWORK_INFO&info,
	 _F_FRAMEWORK *fram,
	 bool invert_fromto);
int folder_pick (SSTRING&path);
/* folder_view.tlcc 27/07/2004 15.57.20 */
int file_folder (const char *fname, MAIL_MESSAGES&tb);
void folder_view_fieldtype (DIALOG&dia, SSTRING&type);
void folder_view_fieldproject (DIALOG&dia, SSTRING&project);
void folder_view_updatetype (const char *type);
void folder_view_updateproject (const char *prj);
/* folderwalk.tlcc 27/07/2004 15.57.20 */
int folderwalk (int argc, char *argv[]);
/* mailmain.tlcc 27/07/2004 15.57.20 */
/* mailsend.tlcc 27/07/2004 15.57.20 */
bool mailsend_validattach (const ATTACHEMENTS&attachs,
	 ATTACHEMENTS&result);
void mailformat (MAIL_MESSAGE_FULL&msg,
	 const ATTACHEMENTS&attachs,
	 SSTREAM&ss);
int mailsend (_F_mailsend&c,
	 MAIL_MESSAGE_FULL&msg,
	 const ATTACHEMENTS&attachs);
/* mime.tlcc 27/07/2004 15.57.20 */
CONTENT_TYPE mime_parsetype (const char *content_type,
	 SSTRING&boundary);
int mime_translate (const char *s, SSTRING&dst);
int mime_translate (const SSTRING&s, SSTRING&dst);
int mime_translate (SSTRING&srcdst);
int mime_splitargs (const char *str, SSTRING_KEYS&keys);
void mime_splittype (const char *type,
	 SSTRING&content,
	 SSTRING&charset);
int mime_split (_F_mime_split&c,
	 const char *body,
	 const char *boundary,
	 const char *encoding,
	 CONTENT_TYPE type,
	 bool decode,
	 bool formatbody);
int mime_split (_F_mime_split&c,
	 const MAIL_MESSAGE_FULL&full,
	 bool decode,
	 bool formatbody);
int mime_getmainmsg (const MAIL_MESSAGE_FULL&full, SSTRING&mainmsg);
void mime_doattach (ATTACH_INFO&info);
/* miscmail.tlcc 27/07/2004 15.57.20 */
void n_debug (const char *ctl, ...);
void *malloc_err (int size);
int maillock (_F_maillock&c, const char *path);
int mail_copy (MAIL_MESSAGE&msg);
void folder_getmaildir (SSTRING&s);
void folder_2abs (const char *_path, SSTRING&path);
const char *folder_gettitle (const char *path);
time_t miscmail_parsedate (const char *line);
time_t miscmail_date2sec (const char *line);
void miscmail_formatdate (time_t date, SSTRING&s);
void miscmail_editsignature (void);
bool miscmail_filemode (const char *path, bool&mode);
void miscmail_save (MAIL_MESSAGE_FULL&msg);
int miscmail_print (MAIL_MESSAGE_FULL&msg);
void miscmail_formattext (const char *s, SSTRING&dst);
int miscmail_pickaddrs (MAIL_MESSAGE&msg,
	 EMAILADDRS&to,
	 EMAILADDRS&cc,
	 EMAILADDRS&bcc);
void miscmail_cnvhtml (const char *text, SSTRING&buf);
/* multi.tlcc 27/07/2004 15.57.20 */
/* prefs.tlcc 27/07/2004 15.57.20 */
const char *prefs_getfcc (void);
const char *prefs_getcharset (void);
const char *prefs_getinbox (void);
void prefs_getuserinfo (SSTRING&myname, SSTRING&myaddr);
void prefs_getmyemail (SSTRING&s);
void prefs_getmyname (SSTRING&s);
void prefs_getmyaddrs (SSTRINGS&addrs);
void prefs_edit (void);
/* thread.tlcc 27/07/2004 15.57.20 */
/* view.tlcc 27/07/2004 15.57.20 */
/* virtual.tlcc 27/07/2004 15.57.20 */
int virtual_eval (const char *expr, FOLDER_VIEWS&folds);
void virtual_edit (void);
int virtual_pick (FOLDER_VIEWS&views);
