#ifndef TODO_H
#define TODO_H

#define _TLMP_todoxml

struct TODOXML_INFO {
	const char *project;
	const char *type;
	const char *date;
	const char *text;
	const char *remind;
	const char *event;
};

struct _F_todoxml {
	class _F_todoxml_private *priv;
	void setproject (const char *project);
	void settype (const char *type);
	void setdate (const char *date);
	void setevent (const char *event);
	void setremind (const char *remind);
	void settext (const char *text);
	#define _F_todoxml_node(x) void x node(const TODOXML_INFO &info, int no, bool &end)
	virtual _F_todoxml_node( )=0;
};


extern const char K_PROJECT[];
extern const char K_DATE[];
extern const char K_TYPE[];
extern const char K_REMIND[];
extern const char K_EVENT[];

#include "todo.pp"

#endif

